//------------------------------------------------------------------------------------
// irr::scene::IAnimatedMeshMD2 wrappers (parent is IAnimatedMesh)
//------------------------------------------------------------------------------------

extern "C" s32 IrrScene_IAnimatedMeshMD2_getAnimationCount(IAnimatedMeshMD2* am)
{
	if (am)
		return am->getAnimationCount();
	else return 0;
}

extern "C" const c8* IrrScene_IAnimatedMeshMD2_getAnimationName(IAnimatedMeshMD2* am,s32 nr)
{
	if (am)
		return am->getAnimationName(nr);
	else return "";
}

extern "C" bool IrrScene_IAnimatedMeshMD2_getFrameLoop(IAnimatedMeshMD2* am,const c8* name,s32* outBegin,s32* outEnd,s32* outFps)
{
	if (am)
		return am->getFrameLoop(name,*outBegin,*outEnd,*outFps);
	else
		return false;
}

extern "C" void IrrScene_IAnimatedMeshMD2_getFrameLoopByType(IAnimatedMeshMD2* am,EMD2_ANIMATION_TYPE l,s32* outBegin,s32* outEnd,s32* outFps)
{
	if (am)
		am->getFrameLoop(l,*outBegin,*outEnd,*outFps);
}




